[Calculator app] Date / time format is too verbose

Reported by Alan Pope ㋛ on 2013-03-18
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Ubuntu Calculator App
Wishlist
Riccardo Padovani
Ubuntu UX
Medium
Christina Li

Bug Description

When tearing off a calculation, the date/time is printed on the strip. The date is too technical and verbose.

E.g. "Mon Mar 18 2013 09:18:56 GMT+0000 (GMT)".

The notepad sample application in "notepad-qml" package has a more desirable format.

Something which changes over time would be more friendly.

"10 minutes ago" - for very recently torn off calculations
"Yesterday, 3:50 AM" - a little while ago
"Thursday, 2:59 PM" - further back (up to a week)
"Jan 15, 8:45 AM" - longer ago..

Related branches

lp:~rpadovani/ubuntu-calculator-app/fix-for-1156520
Merged into lp:ubuntu-calculator-app at revision 35
Ubuntu Phone Apps Jenkins Bot: Approve (continuous-integration) on 2013-03-20
Dalius (community): Approve on 2013-03-20
Changed in ubuntu-calculator-app:
assignee: nobody → Riccardo Padovani (rpadovani)
Changed in ubuntu-calculator-app:
assignee: Riccardo Padovani (rpadovani) → nobody
Changed in ubuntu-calculator-app:
importance: Undecided → Wishlist
Dalius (dalius-sandbox) wrote :

In order to implement this we will need to do following:

Instead of creating date label when main label is missing we will need to show non-editable date label when main label is missing. We already have date column in DB (see insertDate) therefore DB side is not affected.

Changing over-time is more complicated to implement. To avoid slowness in calculator we might take two approaches:

1) Assume that user will close and open calculator frequently and update date information only on start;

2) Use timer and update date information each 5 minutes (I think that's delta user will tolerate).

As well I highly recommend reusing the fact that history is always go date-by-date - our list is always consistent. Therefore when first entry older than one week is met we can stop updating text of dates because exact date is used in such cases.

Changed in ubuntu-calculator-app:
assignee: nobody → Riccardo Padovani (rpadovani)
Riccardo Padovani (rpadovani) wrote :

After an email exchange with Riccardo and Dalius I'll choose (to try) to correct this bug.

Dalius, I think that update date every 5 minutes is the best choice, because we can't know how often users use calculator.
I'll modify the app to save date in its own column in DB, and I'll insert a label above main label, so every calculus has his date, even those with custom main label.

There is insertDate column in DB already. No need to modify DB.

On Tue, Mar 19, 2013 at 9:07 AM, Riccardo Padovani
<email address hidden>wrote:

> After an email exchange with Riccardo and Dalius I'll choose (to try) to
> correct this bug.
>
> Dalius, I think that update date every 5 minutes is the best choice,
> because we can't know how often users use calculator.
> I'll modify the app to save date in its own column in DB, and I'll insert
> a label above main label, so every calculus has his date, even those with
> custom main label.
>
> --
> You received this bug notification because you are subscribed to Ubuntu
> Calculator App.
> Matching subscriptions: ubuntu-calculator-app-bugs
> https://bugs.launchpad.net/bugs/1156520
>
> Title:
> Date / time format is too verbose
>
> Status in Calculator application for Ubuntu devices:
> New
>
> Bug description:
> When tearing off a calculation, the date/time is printed on the strip.
> The date is too technical and verbose.
>
> E.g. "Mon Mar 18 2013 09:18:56 GMT+0000 (GMT)".
>
> The notepad sample application in "notepad-qml" package has a more
> desirable format.
>
> Something which changes over time would be more friendly.
>
> "10 minutes ago" - for very recently torn off calculations
> "Yesterday, 3:50 AM" - a little while ago
> "Thursday, 2:59 PM" - further back (up to a week)
> "Jan 15, 8:45 AM" - longer ago..
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu-calculator-app/+bug/1156520/+subscriptions
>

Changed in ubuntu-calculator-app:
status: New → In Progress
Changed in ubuntu-calculator-app:
status: In Progress → Fix Committed

Calculator with date string in a date label

Fix committed into lp:ubuntu-calculator-app at revision None, scheduled for release in ubuntu-calculator-app, milestone alpha-1

summary: - Date / time format is too verbose
+ [Calculator app] Date / time format is too verbose
Changed in ubuntu-ux:
status: New → Triaged
importance: Undecided → Medium
assignee: nobody → Christina Li (christina-li)
Dalius (dalius-sandbox) on 2013-05-30
Changed in ubuntu-calculator-app:
status: Fix Committed → Fix Released
John Lea (johnlea) on 2013-08-08
Changed in ubuntu-ux:
status: Triaged → Fix Committed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments